#
# spec file for package python-jsonextended
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-jsonextended
Version:        0.7.11
Release:        lp152.3.1
Summary:        A module to extend the python json package functionality
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/chrisjsewell/jsonextended
Source:         https://github.com/chrisjsewell/jsonextended/archive/v%{version}.tar.gz#/jsonextended-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pathlib2
Recommends:     python-Pint
Recommends:     python-h5py
Recommends:     python-ijson
Recommends:     python-numpy
Recommends:     python-psutil
Recommends:     python-ruamel.yaml
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Pint}
BuildRequires:  %{python_module h5py}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module psutil}
BuildRequires:  %{python_module pytest >= 3.6}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module ruamel.yaml}
%if %{with python2}
BuildRequires:  python-pathlib2
%endif
# /SECTION
%python_subpackages

%description
A module to extend the python json package functionality:

  * Treat a directory structure like a nested dictionary
  * Plugin system
  * Lazy Loading
  * Tab Completion
  * Manipulation of nested structures
  * Enhanced pretty printer
  * Output to directory structure (of n folder levels)
  * On-disk indexing option for large json files
  * Units schema concept to apply and convert physical quantities

%prep
%setup -q -n jsonextended-%{version}

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%python_expand chmod -R a-x+X %{buildroot}%{$python_sitelib}
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
# Some tests fail in i586
# jsonextended.units.core.apply_unitschema rounding issue depending on interpreter version
%pytest jsonextended -k 'not Encode_NDArray and not HDF5_Parser and not apply_unitschema'

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Jun  8 2020 Tomáš Chvátal <tchvatal@suse.com>
- Disable py2 due to missing deps
* Thu Apr 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Skip test apply_unitschema as it fails on rounding errors
* Thu Apr 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.11:
  * update rtd configuration
* Thu May  2 2019 Todd R <toddrme2178@gmail.com>
- Initial version
